org.apache.uima.resource.impl

## Class URISpecifier_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.URISpecifier_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, URISpecifier, XMLizable

      public class URISpecifier_impl
      extends MetaDataObject_impl
      implements URISpecifier

  Reference implementation of `URISpecifier`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.URISpecifier

      `RESOURCE_TYPE_ANALYSIS_ENGINE, RESOURCE_TYPE_CAS_CONSUMER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URISpecifier_impl()` Creates a new `URISpecifier_impl`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter[]` | `getParameters()`
    `String` | `getProtocol()` Gets the name of the Protocol used to communicate with the service.
    `String` | `getResourceType()` Retrieves the type of Resource (e.g.
    `Integer` | `getTimeout()` Gets the timeout period in milliseconds.
    `String` | `getUri()` Retrieves the URI at which a Resource may be located.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setParameters(Parameter[] parameters)`
    `void` | `setProtocol(String aProtocol)` Sets the name of the Protocol used to communicate with the service.
    `void` | `setResourceType(String aResourceType)` Sets the type of Resource (e.g.
    `void` | `setTimeout(Integer aTimeout)` Sets the timeout period in milliseconds.
    `void` | `setUri(String aUri)` Sets the URI at which a Resource may be located.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### URISpecifier_impl

          public URISpecifier_impl()

      Creates a new `URISpecifier_impl`.

  - ### Method Detail

    - #### getUri

          public String getUri()

      Description copied from interface: `URISpecifier`
      Retrieves the URI at which a Resource may be located.
      Specified by:
        `getUri` in interface `URISpecifier`
      Returns:
        a URI string
      See Also:
        `URISpecifier.getUri()`

    - #### setUri

          public void setUri(String aUri)

      Description copied from interface: `URISpecifier`
      Sets the URI at which a Resource may be located.
      Specified by:
        `setUri` in interface `URISpecifier`
      Parameters:
        `aUri` - a URI string
      See Also:
        `URISpecifier.setUri(String)`

    - #### getProtocol

          public String getProtocol()

      Description copied from interface: `URISpecifier`
      Gets the name of the Protocol used to communicate with the service. Protocol names are defined in the `Constants` class.
      Specified by:
        `getProtocol` in interface `URISpecifier`
      Returns:
        the name of the protocol.
      See Also:
        `URISpecifier.getProtocol()`

    - #### setProtocol

          public void setProtocol(String aProtocol)

      Description copied from interface: `URISpecifier`
      Sets the name of the Protocol used to communicate with the service. Protocol names are defined in the `Constants` class.
      Specified by:
        `setProtocol` in interface `URISpecifier`
      Parameters:
        `aProtocol` - the name of the protocol.
      See Also:
        `URISpecifier.setProtocol(String)`

    - #### getTimeout

          public Integer getTimeout()

      Description copied from interface: `URISpecifier`
      Gets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.
      Specified by:
        `getTimeout` in interface `URISpecifier`
      Returns:
        the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.
      See Also:
        `URISpecifier.getTimeout()`

    - #### setTimeout

          public void setTimeout(Integer aTimeout)

      Description copied from interface: `URISpecifier`
      Sets the timeout period in milliseconds. If a call takes longer than this amount of time, an exception will be thrown.
      Specified by:
        `setTimeout` in interface `URISpecifier`
      Parameters:
        `aTimeout` - the timeout period in milliseconds. A null value indicates that the transport layer's default value will be used.
      See Also:
        `URISpecifier.setTimeout(Integer)`

    - #### getResourceType

          public String getResourceType()

      Description copied from interface: `URISpecifier`
      Retrieves the type of Resource (e.g. Analysis Engine, CAS Consumer) that the service at this URI is expected to implement. This is optional, but useful for clients to know what to do with the URISpecifier.
      Specified by:
        `getResourceType` in interface `URISpecifier`
      Returns:
        the type of Resource. This should be one of the constants on this class, or null if the resource type is not specified.

    - #### setResourceType

          public void setResourceType(String aResourceType)

      Description copied from interface: `URISpecifier`
      Sets the type of Resource (e.g. Analysis Engine, CAS Consumer) that the service at this URI is expected to implement. This is optional, but useful for clients to know what to do with the URISpecifier.
      Specified by:
        `setResourceType` in interface `URISpecifier`
      Parameters:
        `aResourceType` - the type of Resource. This should be one of the constants on this class, or null to indicate that the resource type is not specified.

    - #### getParameters

          public Parameter[] getParameters()

      Specified by:
        `getParameters` in interface `URISpecifier`
      Returns:
        Returns the Parameters.

    - #### setParameters

          public void setParameters(Parameter[] parameters)

      Specified by:
        `setParameters` in interface `URISpecifier`
      Parameters:
        `parameters` - The Parameters to set.

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.